<template>

  <v-list two-line subheader>
    <v-subheader inset>Shopping Cart</v-subheader>

    <v-list-tile class="mt-3"
      v-for="beer in beers"
      :key="beer.id"
      avatar
    >
    <BeerModal :beer="beer" />
    
      <v-list-tile-avatar>
        <img :src="beer.image_url">
      </v-list-tile-avatar>
      <v-list-tile-content>
        <v-list-tile-title>{{ beer.name }}</v-list-tile-title>
        <v-layout row wrap>
          <v-flex xs6 sm6>
        <v-list-tile-sub-title>{{ beer.quantity }}</v-list-tile-sub-title>
          </v-flex>
         <v-flex xs6 sm6>
        <v-btn-toggle v-model="toggle_exclusive">
              <v-btn flat v-on:click="removeQuantity(beer)">
                <v-icon>remove</v-icon>
              </v-btn>
              <v-btn flat v-on:click="addQuantity(beer)">
                <v-icon>add</v-icon>
              </v-btn>
            </v-btn-toggle>
          </v-flex>
        </v-layout>
      </v-list-tile-content>

      <v-list-tile-action>
        <v-btn icon ripple @click="dialog = true">
          <v-icon color="grey lighten-1">info</v-icon>
        </v-btn>
        <v-btn icon ripple v-on:click="removeFromCart(beer)">
          <v-icon color="grey lighten-1">delete</v-icon>
        </v-btn>
      </v-list-tile-action>
    </v-list-tile>

    <v-divider inset></v-divider>
    <div class="mt-3">
        <p class="body-2 ml-3"><strong>Total de Itens:</strong> {{qty}}</p>  
        <p class="body-2 ml-3"><strong>Preço Total:</strong> R$ {{total}}</p>        
    </div>
  </v-list>
</template>

<script>
import store from "@/store/cart.js";
import BeerModal from "../components/BeerModal.vue";

export default {
  computed: {
    beers() {
      return store.state.beers;
    },
    qty() {
      return store.state.qty;
    },
    total() {
      var total = store.state.qty * 2.5;
      var desconto = total - (total * 0.1);
      
      if (store.state.qty >= 10) {
        return desconto.toFixed(2).replace(".", ",") + " - sem desconto (R$ " + total.toFixed(2).replace(".", ",") + ")";
      } else {
        return total.toFixed(2).replace(".", ",");
      }
    }
  },
  data() {
    return {
      dialog: false
    };
  },
  methods: {
    addQuantity(beer) {
      store.commit("addQuantity", beer);
    },
    removeQuantity(beer) {
      store.commit("removeQuantity", beer);
    },
    removeFromCart(beer) {
      store.commit("removeFromCart", beer);
    }
  },
  components: {
      BeerModal
  }
};
</script>